Subject: a maze of twisty stats, most different

From: Rick Jones <[email-masked]>
Date: Wed, 27 Jun 2007 10:20:08 -0700

It seems that every driver, when providing support for ethtool -S 
functionality, has considerable lattitude when it comes to the stats 
provided.  Clearly this is very nice for the driver writer(s) as it 
allows them to provide whatever stats they feel are most "natural" for 
their NIC(s) and name them as they see fit.

However :)

 From the standpoint of someone looking from the outside, say someone 
wanting to consume ethtool -S statistics, it seems to be a big jumble.

Might there be a way to bring those two camps together?  Is there 
already, with the same wide availabilty of ethtool, and I've just not 
seen it?

rick jones